<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
	<head>
	<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
	<title>fil rss : exemple de lecture 2</title>
	<style type="text/css">
	.vert {color: #ff6600; background-color: transparent; font-weight: bold;}
</style>
</head>
<body>
<?php
// ---------------------------------------------------------
// rss_read - classe pour lire des fichiers RSS/RDF/Atom
// Dominique WOJYLAC <http://wojylac.free.fr>
// Distribu sous GNU General Public License.
// 
// Version 2
// ---------------------------------------------------------
// exemple propos par Alain Sichel
// fonction de nettoyage du texte rcupr

function clean_text($text,  $encodage = '') {
	$text = str_replace('&lt;','<',$text);
	$text = str_replace('&gt;','>',$text);
	$text = str_replace('&quot;','"',$text);
	$text = str_replace('&amp;','&',$text);
	if ($encodage == 'utf-8') {
		$text = utf8_decode($text);
	}

	return $text;
}

function nettoyage($description) {
	$avant = array ("'<p.*?>'si","'</p>'si","'<br.*?>'si","'align=\"left\"'si","'<img src=\'IMG/'si","'<hr.*?>'si");
	$apres = array (" "," "," ","align=\"right\"","<img src='http://www.mmt-fr.org/IMG/"," ");
	$description = preg_replace($avant,$apres,$description);
	return $description;
}

function clean_date($date) 
{
	// si 'AAAA-MM-JJTHH:MM:SS+00:00' ou 'AAAA-MM-JJTHH:MM:SSZ'
    if (ereg("^[0-9]",$date) and  ereg("(([[:digit:]]|-)*)T.*",$date,$temp)) {
		$date = $temp[1];
	}	
	return date('d/m/Y', strtotime($date));	
}
// la classe rss_read
include 'rss_read.inc.php';

// crer l'instance
$rss = new rss_read();

// parser le fichier news avec ventuellement un nbre max

$res = $rss -> parsefile('http://www.mmt-fr.org/backend.php3',15);
// $rss -> parsefile('http://www.cyes.info/rss2.xml',15);
// $rss -> parsefile('http://rezo.net/backend/portail',15);
// $rss -> parsefile('http://www.expreg.com/rss/regex.rss',20);
// $rss -> parsefile('http://www.macbidouille.com/macbidouille.rss');
// $rss -> parsefile('http://www.zdnet.fr/feeds/rss/actualites/', 10);
// $rss -> parsefile('http://www.liberation.fr/rss.php');

if (!$res) {
	exit('Fichier rss incorrect ou erreur pendant l\'analyse !');
}

$encode = $rss -> get_encoding();

// on affiche les infos dans un tableau centr
echo '<table align="center" border="1" width="90%" cellspacing="0" cellpadding="3"><tr><td>';

// recupration des donnes sur le channel
$channel = $rss -> get_channel();

if ($rss -> exist_image()) {
	$image = $rss -> get_image();
	echo '<table width="100%" border="0"><tr><td width="50%"><h4 align="center"><a href="'.$channel['link'].
		'" target="_blank" title="Lien externe">'.clean_text($channel['title'],$encode)."</a></h4></td>\n<td><center><a href=\""
		.$image['link'].'" target="_blank" title="Lien externe" class="ext"><img src="'.$image['url'].
		'" border="0" alt="'.$image['title'].'"></a></center></td></tr></table>'."\n"; }
else { echo '<h4 align="center"><a href="'.$channel['link'].'" target="_blank" title="Lien externe">'.clean_text($channel['title'], $encode).'</a></h4>'."\n"; }

// nombre d'items     
$nbnews = $rss -> get_num_items();

// recup array des donnes
$items = $rss -> get_items();

// pour affichage des dates au format franais
echo "<ul>\n";
for($i = 0; $i < $nbnews; $i++) {
	echo '<li>';
	if (trim($items[$i]['pubdate'])!='') {
		echo '<b>',clean_date($date),'&nbsp;:</b> ';
	}
	if (trim($items[$i]['author'])!='') {
		echo '<span class="vert">',clean_text($items[$i]['author']),'&nbsp;:</span> ';
	}
	elseif (trim($items[$i]['dc:creator'])!='') {
		echo '<span class="vert">',clean_text($items[$i]['dc:creator'], $encode),'&nbsp;:</span> ';
	}
	echo '<a class="ext" title="Lien externe" href="',$items[$i]['link'],'" target="_blank">',clean_text($items[$i]['title'], $encode),'</a>';
	if (trim($items[$i]['category']) != '') {
		echo '<b>('.clean_text($items[$i]['category']).')</b>'; }
	if (trim($items[$i]['description'])!='') {
		echo '&nbsp;:<br />'.nettoyage(clean_text($items[$i]['description'], $encode));
	}
	echo "</li>\n";
}
echo "</ul>\n";

echo '</td></tr></table>';
?>
</body>
</html>