<?php
/*
** fichier parse_flux-1.php
** utilis par la page exemple-3.php
*/

// fonction destine  nettoyer le texte rcupr
// que l'on pourrait sparer de ce code en la mettant dans un fichier  inclure
function clean_text($text, $encodage = '') { 
	$text = str_replace('&lt;','<',$text);
	$text = str_replace('&gt;','>',$text);
	$text = str_replace('&quot;','"',$text);
	$text = str_replace('&amp;','&',$text);
	if ($encodage == 'utf-8') {
		$text = utf8_decode($text);
	}
	return $text;
}

// chemin relatif vers le dossier cache
// le rpertoire "cache" doit tre autoris en criture
// ne pas oublier /  la fin
$dir_cache = 'cache/';

// nom du fichier mis en cache
$file_cache = 'flux.html';

if (!is_dir($dir_cache)) {
	exit ('Rpertoire cache "'.$dir_cache.'" inexistant !');
}

include 'rss_read.inc.php'; 
$rss = new rss_read();
$flux = 'http://www.liberation.fr/rss.php';

// voir la doc pour cette fonction
$date_modif = $rss -> get_last_modified($flux);

if ($date_modif > 0) {
	// le serveur distant a retourn une date de dermire modification
	// on remettra  jour immdiatement en cas de modification postrieure
	//  la date du fichier en cache
	$delai = 0;
}
else {
	// on impose la mise  jour avec une certaine periodicit
	$date_modif = time();
	// le delai entre deux rafraichissements en secondes  rgler suivant le type de fil ici 2 heures
	$delai = 2*3600;
}

// le fichier est-il en cache et suffisamment jeune
$file_cache = $dir_cache.$file_cache;
$en_cache = file_exists($file_cache);
if ($en_cache) {
	$en_cache = ($date_modif < filemtime($file_cache) + $delai);
}

if (!$en_cache) {
	// il est considr comme n'tant pas en cache on le gnre
	$data = '';
	
	// parser le fichier news
	$res = $rss -> parsefile($flux);
	
	if ($res) {
		$encode = $rss -> get_encoding();
		
		// recupration des donnes sur le channel
		$channel = $rss -> get_channel();
		
		// affichage site, url, description 
		$data =  '<p><a href="'. $channel['link'].'" target="_blank">'. clean_text($channel['title'], $encode). '</a></p>';
		
		// nombre d'items 
		$nbnews = $rss -> get_num_items();
		
		// recup array des donnes 
		$items = $rss -> get_items();
		
		$data .= '<dl>';
		for($i = 0; $i < $nbnews; $i++) { 
			$data .= '<dt>- <a href="'.$items[$i]['link'].'" target="_blank">'.clean_text($items[$i]['title'], $encode).'</a></dt>'."\n"; 
		}
		
		$data .= '</dl>';
	} // fin if $rss
	
	$fd = fopen($file_cache, "w");
	fputs($fd, $data);
	fclose($fd);

} // fin if !$en_cache

include $file_cache;
?>